%define upstream_name    Callback-Frame
%define upstream_version 1.102

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Preserve error handlers and "local" variables across callbacks
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Callback/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Guard)
BuildArch:  noarch

%description
The problem that this module solves is that although closures preserve
their lexical environment, they don't preserve their dynamic environment.

Consider the following piece of *broken* code:

    use AnyEvent;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc COPYING Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.102.0-6.mga10
+ Revision: 2197727
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.102.0-5.mga9
+ Revision: 1802146
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.102.0-4.mga8
+ Revision: 1492975
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.102.0-3.mga7
+ Revision: 1265919
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.102.0-2.mga6
+ Revision: 1022829
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 1.102.0-1.mga6
+ Revision: 1001640
- update to 1.102

* Sat Jan 16 2016 shlomif <shlomif> 1.101.0-1.mga6
+ Revision: 923589
- update to 1.101

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-3.mga5
+ Revision: 739577
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-2.mga5
+ Revision: 683735
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 596234
- update to 1.100

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 527595
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.3.0-1.mga4
+ Revision: 441484
- update to 1.003

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 363768
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.200.0-1.mga3
+ Revision: 304354
- imported package perl-Callback-Frame


* Wed Oct 10 2012 cpan2dist 0.2-1mga
- initial mageia release, generated with cpan2dist
